version: '2'

services:

    test-db01:
        image: postgres
        hostname: "tru1rdb01"
        environment:
            POSTGRES_PASSWORD: PPaFb9N7
        volumes:
         - ./db-sh:/docker-entrypoint-initdb.d
        ports:
         - 5432:5432
        networks:
          testnetwork:
            ipv4_address: 172.20.0.2

    test-web01:
        image: centos/systemd
        hostname: "tru1ra01"
        volumes:
         - ./web-sh:/usr/local/bin
         - ./web:/opt/tomcat/temp
         - /sys/fs/cgroup:/sys/fs/cgroup:ro
        ports:
         - 8443:8443
         - 8088:8080
        privileged: true
        stdin_open: true
        tty: true
        networks:
          testnetwork:
            ipv4_address: 172.20.0.3

    adminer:
        image: adminer
        hostname: "toolbox"
        ports:
         - 8888:8080
        networks:
          testnetwork:
            ipv4_address: 172.20.0.4

networks:
  testnetwork:
    driver: bridge
    ipam:
      driver: default
      config:
      - subnet: 172.20.0.0/16
        gateway: 172.20.0.1
